# -*- encoding: utf-8 -*-
# stub: public_suffix 3.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "public_suffix".freeze
  s.version = "3.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Simone Carletti".freeze]
  s.date = "2018-08-15"
  s.description = "PublicSuffix can parse and decompose a domain name into top level domain, domain and subdomains.".freeze
  s.email = ["weppos@weppos.net".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze]
  s.files = [".gitignore".freeze, ".rubocop.yml".freeze, ".rubocop_defaults.yml".freeze, ".ruby-gemset".freeze, ".travis.yml".freeze, ".yardopts".freeze, "2.0-Upgrade.md".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/console".freeze, "data/list.txt".freeze, "lib/public_suffix.rb".freeze, "lib/public_suffix/domain.rb".freeze, "lib/public_suffix/errors.rb".freeze, "lib/public_suffix/list.rb".freeze, "lib/public_suffix/rule.rb".freeze, "lib/public_suffix/version.rb".freeze, "public_suffix.gemspec".freeze, "test/.empty".freeze, "test/acceptance_test.rb".freeze, "test/benchmarks/bm_find.rb".freeze, "test/benchmarks/bm_find_all.rb".freeze, "test/benchmarks/bm_names.rb".freeze, "test/benchmarks/bm_select.rb".freeze, "test/benchmarks/bm_select_incremental.rb".freeze, "test/benchmarks/bm_valid.rb".freeze, "test/profilers/domain_profiler.rb".freeze, "test/profilers/find_profiler.rb".freeze, "test/profilers/find_profiler_jp.rb".freeze, "test/profilers/initialization_profiler.rb".freeze, "test/profilers/list_profsize.rb".freeze, "test/profilers/object_binsize.rb".freeze, "test/psl_test.rb".freeze, "test/test_helper.rb".freeze, "test/tests.txt".freeze, "test/unit/domain_test.rb".freeze, "test/unit/errors_test.rb".freeze, "test/unit/list_test.rb".freeze, "test/unit/public_suffix_test.rb".freeze, "test/unit/rule_test.rb".freeze]
  s.homepage = "https://simonecarletti.com/code/publicsuffix-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Domain name parser based on the Public Suffix List.".freeze
  s.test_files = ["test/acceptance_test.rb".freeze, "test/benchmarks/bm_find.rb".freeze, "test/benchmarks/bm_find_all.rb".freeze, "test/benchmarks/bm_names.rb".freeze, "test/benchmarks/bm_select.rb".freeze, "test/benchmarks/bm_select_incremental.rb".freeze, "test/benchmarks/bm_valid.rb".freeze, "test/profilers/domain_profiler.rb".freeze, "test/profilers/find_profiler.rb".freeze, "test/profilers/find_profiler_jp.rb".freeze, "test/profilers/initialization_profiler.rb".freeze, "test/profilers/list_profsize.rb".freeze, "test/profilers/object_binsize.rb".freeze, "test/psl_test.rb".freeze, "test/test_helper.rb".freeze, "test/tests.txt".freeze, "test/unit/domain_test.rb".freeze, "test/unit/errors_test.rb".freeze, "test/unit/list_test.rb".freeze, "test/unit/public_suffix_test.rb".freeze, "test/unit/rule_test.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
  end
end

